Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

mysql4-upgrade-1.5.9.9-1.6.0.0.php sql error when upgrading
 
suneth2
Jr. Member
 
Total Posts:  9
Joined:  2011-02-27
 

1. i have magento 1.5 site

2. i copy magento 1.6 core files to it and i install magento 1.6 with another table prefix(working fine - no datas on there)

3. then i change the table prefix to old 1.5 magento db prefix and clear all cache and session reload the page

4. but instead of upgrading database to 1.6 it gives below error

a:5:{i:0;s:308:"Error in file: “/var/www/vhosts/sd-14721.dedibox.fr/httpdocs/gingerlily/app/code/core/Mage/Admin/sql/admin_setup/mysql4-upgrade-1.5.9.9-1.6.0.0.php” - SQLSTATE[HY000]: General error: 1293 Incorrect table definition; there can be only one TIMESTAMP column with CURRENT_TIMESTAMP in DEFAULT or ON UPDATE clause";i:1;s:1214:"#0 /var/www/vhosts/sd-14721.dedibox.fr/httpdocs/gingerlily/app/code/core/Mage/Core/Model/Resource /Setup.php(645): Mage::exception(’Mage_Core’, ‘Error in file: ...’)

incorrect table definition; there can be only one TIMESTAMP column with CURRENT_TIMESTAMP in DEFAULT or ON UPDATE

i tried lot and searched on internet but nothing found,help me peace

5 i cant access admin now, can’t use ssh, anyway to recover this(need to update 1.6) smile

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top